Ordner erstellen
curl --request POST \
--url https://app.famulor.de/api/user/folder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.famulor.de/api/user/folder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/folder"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/folder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/folder"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Folder created successfully",
"data": { "id": 12, "name": "Acme Corp", "color": "blue", "assistants_count": 0 }
}
{
"message": "The name has already been taken.",
"errors": { "name": ["The name has already been taken."] }
}
Ordner erstellen
Ordner zur Organisation deiner Assistenten erstellen
POST
/
api
/
user
/
folder
Ordner erstellen
Erstelle einen Ordner, um deine Assistenten zu gruppieren. Weise Assistenten einem Ordner über das Feld
folder_id bei Assistent erstellen und Assistent aktualisieren zu.
Request Body
Der Ordnername (max. 255 Zeichen). Muss innerhalb deines Kontos eindeutig sein.
Farbe für das Ordner-Badge. Einer von:
gray, slate, red, orange, amber, green, teal, blue, purple, pink.Antwort
Erfolgsmeldung
{
"message": "Folder created successfully",
"data": { "id": 12, "name": "Acme Corp", "color": "blue", "assistants_count": 0 }
}
{
"message": "The name has already been taken.",
"errors": { "name": ["The name has already been taken."] }
}
War diese Seite hilfreich?
⌘I

